namespace OptixServe.Core.Models;

public enum PrivilegeGroup
{
    Admin,
    User,
}

public record User
{
    public required string Id { get; set; }
    public required string UserName { get; set; }
    public string? Password { get; set; }
    public PrivilegeGroup PrivilegeGroup { get; set; } = PrivilegeGroup.User;
}